Skip to main content
POST
/
api
/
v2
/
account
/
wallets
/
{walletId}
/
enable-multisend
POST /api/v2/account/wallets/:walletId/enable-multisend — Initialize durable nonce accounts
curl --request POST \
  --url https://api.shuriken.trade/api/v2/account/wallets/{walletId}/enable-multisend \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "message": "<string>",
    "taskId": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

walletId
string
required

Wallet ID to enable multisend for

Response

Multisend initialization started

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)